commit:     bd6cf591297b6b45b6b7c4c7a04d00a0bd20e757
Author:     Piotr Karbowski <slashbeast <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 25 22:30:03 2020 +0000
Commit:     Piotr Karbowski <slashbeast <AT> gentoo <DOT> org>
CommitDate: Wed Nov 25 22:30:03 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bd6cf591

net-p2p/nicotine+: 2.1.2 version bump

Closes: https://bugs.gentoo.org/750425
Signed-off-by: Piotr Karbowski <slashbeast <AT> gentoo.org>

 net-p2p/nicotine+/Manifest               |  1 +
 net-p2p/nicotine+/nicotine+-2.1.2.ebuild | 43 ++++++++++++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/net-p2p/nicotine+/Manifest b/net-p2p/nicotine+/Manifest
index 50ceb6ca046..e23909a1f9b 100644
--- a/net-p2p/nicotine+/Manifest
+++ b/net-p2p/nicotine+/Manifest
@@ -1 +1,2 @@
 DIST nicotine+-2.0.1.tar.gz 5140065 BLAKE2B 
01af7eb58ea6800c17042ef73b9caa8b3d5712e33226486e648fee824c0d0934440ee51f659199a5276f6a460005df89359b282b09aa07941c70e29bddc97a26
 SHA512 
0a16c0c289a4f4d54eba773ad40952baadf73333ea4a6b4a4524cc500d007f6de0bdd7a847e3f68978a3247c9bc4a6eab3b77db34605fda79da34c352e89a1b9
+DIST nicotine+-2.1.2.tar.gz 5091941 BLAKE2B 
2fcfcc25645a194e1161502c1836d075732a833e1cca1f16cb939e960371c9a656c0044427ca381e8fb3d76de139af1f495b3c5ff208fe931571cfbe5ab0d219
 SHA512 
dc5ae656cb24efdd252475eefa63d471e44f9652650ca834acb358c195337c46c07ef5da873419d66235a8fbb3d2e290347aa47416c0017bea54423b485225c9

diff --git a/net-p2p/nicotine+/nicotine+-2.1.2.ebuild 
b/net-p2p/nicotine+/nicotine+-2.1.2.ebuild
new file mode 100644
index 00000000000..96b50ea7f31
--- /dev/null
+++ b/net-p2p/nicotine+/nicotine+-2.1.2.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8,9} )
+
+inherit distutils-r1 xdg-utils
+
+DESCRIPTION="A fork of nicotine, a Soulseek client in Python"
+HOMEPAGE="https://github.com/Nicotine-Plus/nicotine-plus";
+SRC_URI="https://github.com/Nicotine-Plus/nicotine-plus/archive/${PV}.tar.gz 
-> ${P}.tar.gz"
+
+LICENSE="GPL-3 LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="${PYTHON_DEPS}"
+RDEPEND="
+       dev-python/pygobject:3[${PYTHON_USEDEP}]
+       dev-python/pytaglib[${PYTHON_USEDEP}]
+       media-libs/mutagen[${PYTHON_USEDEP}]
+       x11-libs/gtk+:3[introspection]
+       ${DEPEND}
+"
+
+DEPEND="${RDEPEND}"
+
+S="${WORKDIR}/nicotine-plus-${PV}"
+
+src_install() {
+       distutils-r1_src_install
+       mv "${ED}/usr/share/doc/nicotine" "${ED}/usr/share/doc/${PF}" || die
+}
+
+pkg_postinst() {
+       xdg_icon_cache_update
+}
+
+pkg_postrm() {
+       xdg_icon_cache_update
+}

Reply via email to